OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEP
GeomToStep

# GeomToStep_MakeEllipse Class Reference

This class implements the mapping between classes
Ellipse from Geom, and Circ from gp, and the class
Ellipse from StepGeom which describes a Ellipse from
Prostep.
.

`#include <GeomToStep_MakeEllipse.hxx>`

Inheritance diagram for GeomToStep_MakeEllipse:

[legend]

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | GeomToStep_MakeEllipse (const gp_Elips &C)
Standard_EXPORT | GeomToStep_MakeEllipse (const Handle(Geom_Ellipse)&C)
Standard_EXPORT | GeomToStep_MakeEllipse (const Handle(Geom2d_Ellipse)&C)
Standard_EXPORT const Handle_StepGeom_Ellipse & | Value () const
## Private Attributes
Handle_StepGeom_Ellipse | theEllipse

## Constructor & Destructor Documentation

Standard_EXPORT GeomToStep_MakeEllipse::GeomToStep_MakeEllipse | ( | const gp_Elips & | C | ) |

Standard_EXPORT GeomToStep_MakeEllipse::GeomToStep_MakeEllipse | ( | const Handle(Geom_Ellipse)& | C | ) |

Standard_EXPORT GeomToStep_MakeEllipse::GeomToStep_MakeEllipse | ( | const Handle(Geom2d_Ellipse)& | C | ) |

## Member Function Documentation

void GeomToStep_MakeEllipse::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from GeomToStep_Root.

void* GeomToStep_MakeEllipse::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from GeomToStep_Root.

void* GeomToStep_MakeEllipse::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from GeomToStep_Root.

Standard_EXPORT const Handle_StepGeom_Ellipse& GeomToStep_MakeEllipse::Value | ( |  | ) | const

## Field Documentation

Handle_StepGeom_Ellipse GeomToStep_MakeEllipse::theEllipse`[private]`

The documentation for this class was generated from the following file:

- GeomToStep_MakeEllipse.hxx